package beilv.bootacourse.domain;

import lombok.*;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class BootACourseBO {
    /**
     * 用户id
     */
    private String userId;
    /**
     * 联系人
     */
    private String contactPeople;
    /**
     * 联系电话
     */
    private String contactNumber;
    /**
     * 订单id
     */
    private String orderId;
    /**
     * 场次id
     */
    private String ticketId;
    /**
     * 场地类型
     */
    private String ticketType;
    /**
     * 会员卡Id
     */
    private String clubCardId;
    /**
     * 退款说明
     */
    private String refundInstructions;
    /**
     * 支付状态
     */
    private String paymentStatus;
}
