package beilv.system.domain.dto;

import beilv.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 兑换礼品dto
 *
 * @author ruoyi
 * @date 2025-01-02
 */
@Data
public class SysMemberDTO {

    /**
     * 用户id
     */
    private Long id;

    /**
     * 消耗积分
     */
    @Excel(name = "消耗积分")
    private BigDecimal integral;

    /**
     * 礼品名称
     */
    @Excel(name = "礼品名称")
    private String giftName;

}
