package beilv.stadium.domain;

import lombok.*;

@Getter
@Setter
@ToString
@AllArgsConstructor
@NoArgsConstructor
public class Stadium {
    /**
     * 数据id
     */
    private Long id;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 联系人
     */
    private String contactPerple;
    /**
     * 联系电话
     */
    private String contactNumber;
    /**
     * 下单时间
     */
    private String registrationTime;
    /**
     * 支付时间
     */
    private String paymentTime;
    /**
     * 取消时间
     */
    private String cancellationTime;
    /**
     * 退款时间
     */
    private String refundTime;
    /**
     * 支付状态
     */
    private String paymentStatus;
    /**
     * 订单编号
     */
    private String orderId;
    /**
     * 赛事id
     */
    private String competitionId;
    /**
     * 订单类型(1: 参赛门票 / 2: 观看门票)
     */
    private String orderType;
    /**
     * 退款说明
     */
    private String refundInstructions;

}
