package beilv.common.weixin.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.validation.annotation.Validated;

@ConfigurationProperties(prefix = "wx.miniapp")
@Validated
@Data
public class WxMiniProgramProperties {

    /*微信小程序app_id*/
    private String appid;

    /*微信小程序app_secret*/
    private String secret;

}
